Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# keyval.hh File Reference

A C++ interface for GDK key values. More...

`#include <xfc/integerobject.hh>`
`#include <xfc/utfstring.hh>`
`#include <gdk/gdkkeys.h>`
`#include <xfc/gdk/inline/keyval.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::Keyval
    A GDK key value C++ wrapper class. More...

## Detailed Description

A C++ interface for GDK key values.

Provides Keyval, an object that wraps a GDK key value and its associated functions.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3